NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.SketchMakeRelationBuilder Class Reference

Represents a NXOpen.SketchMakeRelationBuilder builder. More...

Inheritance diagram for NXOpen.SketchMakeRelationBuilder:
NXOpen.SketchOperationBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.SketchMakeCoincidentBuilder NXOpen.SketchMakeCollinearBuilder NXOpen.SketchMakeEqualBuilder NXOpen.SketchMakeHorizontalBuilder NXOpen.SketchMakeMidpointAlignedBuilder NXOpen.SketchMakeParallelBuilder NXOpen.SketchMakePerpendicularBuilder NXOpen.SketchMakePerpendicularToStringBuilder NXOpen.SketchMakePointOnStringBuilder NXOpen.SketchMakeTangentBuilder NXOpen.SketchMakeTangentToStringBuilder NXOpen.SketchMakeVerticalBuilder NXOpen.SketchSymmetricBuilder

Public Types

enum  RelationTypes {
  Coincident, Collinear, Horizontal, Vertical,
  Parallel, Perpendicular, EqualLength, EqualRadius,
  Symmetric, Tangent, MidpointAligned, PointOnString,
  TangentToString, PerpendicularToString
}
 the relation types More...
 

Public Member Functions

unsafe void SetCreateConstraints (bool createConstaints)
 Set Create Constraints. More...
 
- Public Member Functions inherited from NXOpen.SketchOperationBuilder
unsafe NXOpen.SketchRelation[] FindRelations ()
 Calculate the relations needed based on the operation inputs. More...
 
unsafe void RelaxRelation (NXOpen.SketchRelation relation)
 Relaxes a relation found in the operation. More...
 
unsafe void RestoreOperation ()
 Clears all relaxed relations and locked objects (if present). More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.SelectNXObjectList LockObjects [get]
 Returns the lock objects. More...
 
unsafe NXOpen.SelectNXObjectList MotionObjects [get]
 Returns the motion object More...
 
unsafe NXOpen.SelectNXObject StationaryObject [get]
 Returns the stationary object More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.SketchMakeRelationBuilder builder.

The sub-class should create an instance of corresponding object

Created in NX1847.0.0

Member Enumeration Documentation

the relation types

Enumerator
Coincident 
Collinear 
Horizontal 
Vertical 
Parallel 
Perpendicular 
EqualLength 
EqualRadius 
Symmetric 
Tangent 
MidpointAligned 
PointOnString 
TangentToString 
PerpendicularToString 

Member Function Documentation

unsafe void NXOpen.SketchMakeRelationBuilder.SetCreateConstraints ( bool  createConstaints)
inline

Set Create Constraints.

Optionally a constraint can be created by setting createConstraint to true.

Created in NX1847.0.0

License requirements: None.

Parameters
createConstaints

Property Documentation

unsafe NXOpen.SelectNXObjectList NXOpen.SketchMakeRelationBuilder.LockObjects
get

Returns the lock objects.

Locks objects so they are not modified

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.SketchMakeRelationBuilder.MotionObjects
get

Returns the motion object

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.SketchMakeRelationBuilder.StationaryObject
get

Returns the stationary object

Created in NX1847.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.